use "Automata_RBT.sml";

open NFA_string;

fun gen_automaton () = 
let 
  val A = nfa_normalise (hd (generate_random_NFAs 1 4 2 1.0 0.2))
in
  if nfa_states_no A < 2 orelse nfa_lang_is_empty A then gen_automaton () else A
end;

val automaton = gen_automaton ();

show_NFA NONE automaton;

print ("Regex: " ^ rexp_to_string (nfa_to_rexp automaton) ^ "\n");
