theory Scratch
imports
  "ICF/impl/RBTSetImpl"
begin

definition rs_Union :: "('q :: linorder)rs list => 'q rs" where
  "rs_Union = foldl rs.union (rs.empty ())"

definition "foo x = rs_Union x"

export_code rs_Union in Haskell  (* klappt *)
export_code foo in Haskell  (* klappt *)

ML {* Ord_Code_Preproc.trace_enabled := true *}

declare rs_Union_def[code_unfold]

setup {* Ord_Code_Preproc.add (~1,"Tracer",fn _ => fn thm => (
  tracing ("Processing: " ^ @{make_string} thm); thm
  ))*}

code_thms foo

(*abbreviation "id' == \<lambda>x. x"*)

ML_val "open Seq"

ML_val {*
  Unify.unifiers (@{theory}, Envir.empty 0, 
    [(@{term "foov::nat\<Rightarrow>nat"}, (term_of @{cpat "\<lambda>x::?'a. x"}))])
  |> Seq.list_of

*}

term "foo"
term id'


export_code rs_Union in Haskell (* klappt *)

code_thms foo

export_code foo in Haskell  (* No code equations for rs_ops *)


end