*** Obsolete ***
header {* Some additions about Multisets *}

theory Multiset_more
imports Main "~~/src/HOL/Library/Multiset"
begin


definition multiset_of_set :: "'a set \<Rightarrow> 'a multiset" where
  "multiset_of_set S = Abs_multiset (\<lambda>x. if x \<in> S then 1 else 0)"

lemma count_multiset_of_set [simp]:
"finite S \<Longrightarrow> count (multiset_of_set S) a = (if a \<in> S then 1 else 0)"
proof -
  assume "finite S"
  hence "(\<lambda>x. if x \<in> S then 1 else 0) \<in> multiset"
    by (simp add: multiset_def)
  thus ?thesis 
    by (simp add: multiset_of_set_def Abs_multiset_inverse)
qed

lemma in_multiset_of_set :
"finite S \<Longrightarrow> x \<in># (multiset_of_set S) \<longleftrightarrow> x \<in> S"
by simp

lemma multiset_of_set_inv [simp] :
  "finite S \<Longrightarrow> set_of (multiset_of_set S) = S"
by (simp add: set_of_def)

lemma multiset_of_empty [simp]: "multiset_of_set {} = {#}"
  by (simp add: multiset_of_set_def zero_multiset_def)

lemma multiset_of_insert: "finite S \<Longrightarrow>
  multiset_of_set (insert e S) =
  multiset_of_set (S - {e}) + {#e#}"
by (simp add: multiset_eq_iff)

lemma multiset_of_single [simp]: "multiset_of_set {b} = {#b#}"
by (simp add: multiset_of_set_def single_def)

lemma multiset_of_set_set :
  "distinct l \<Longrightarrow>
   multiset_of_set (set l) = multiset_of l"
proof (induct l)
  case Nil thus ?case by simp
next
  case (Cons e l)
  from Cons(2) have e_nin_l : "e \<notin> set l" by simp
  from Cons(2) have dist_l: "distinct l" by simp
  note ind_hyp = Cons(1)[OF dist_l]

  from e_nin_l have "set l - {e} = set l" by auto
  with ind_hyp show ?case
    by (simp add: multiset_of_insert)
qed

lemma ex_Melem_conv: "(\<exists>x. x \<in># A) = (A \<noteq> {#})"
by (metis all_not_in_conv mem_set_of_iff set_of_eq_empty_iff)

end