#!/bin/bash
# Dirty hack to test afp-submissions

dir=`mktemp -d`

echo "Testing in $dir"

# Establish AFP-theories
echo "Setting up afp-environment"
cp -a ../afp/* "$dir"

# Extract submissions
echo "Extracting submissions"
entries=`ls -1 afp_submission/*.tgz | sed -e 's/.*\///g; s/.tgz$//g'`
for i in afp_submission/*.tgz; do tar -C $dir -xzf $i; done

echo "Building Entries"
olddir="$PWD"
cd "$dir"
roots=`ls -1`
for i in $roots; do echo $i >> ROOTS; done
isabelle build -vd $PWD $entries
cd $olddir
